<?xml version="1.0" encoding="euc-jp"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:aws="http://webservices.amazon.com/AWSECommerceService/2006-03-08" exclude-result-prefixes="aws" version="1.0">
<xsl:output method="html" encoding="UTF-8"
doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

<xsl:template match="/">
    <html lang="ja">
        <head>
            <link rel="stylesheet" href="http:///amz4.css" type="text/css" media="screen,tv" />
        </head>
    <body>
        <xsl:apply-templates select="aws:ItemLookupResponse/aws:Items/aws:Item" />
    </body>
    </html>

</xsl:template>

    <xsl:template match="aws:Item">
        <xsl:variable name="detail"       select="aws:DetailPageURL" />
        <xsl:variable name="image"        select="aws:MediumImage/aws:URL" />
        <xsl:variable name="width"        select="aws:MediumImage/aws:Width" />
        <xsl:variable name="height"       select="aws:MediumImage/aws:Height" />
        <xsl:variable name="title"        select="aws:ItemAttributes/aws:Title" />
        <xsl:variable name="group"        select="aws:ItemAttributes/aws:ProductGroup" />
        <xsl:variable name="asin"         select="aws:ASIN" />
	<xsl:variable name="baseurl">http://www.amazon.co.jp/exec/obidos/ASIN/</xsl:variable>
	<xsl:variable name="idurl">/ref=nosim/-22/</xsl:variable>

		<div class="amz">
                    <img class="amzimg">
                        <xsl:attribute name="src"   ><xsl:value-of select="$image"  /></xsl:attribute>
                        <xsl:attribute name="height"><xsl:value-of select="$height" /></xsl:attribute>
                        <xsl:attribute name="width" ><xsl:value-of select="$width"  /></xsl:attribute>
                    </img>
                    <a>
                        <xsl:attribute name="href"  ><xsl:value-of select="$baseurl" /><xsl:value-of select="$asin" /><xsl:value-of select="$idurl" /></xsl:attribute>
                        <xsl:attribute name="target">_blank</xsl:attribute>
                        <xsl:value-of select="$title" />
                   </a>
                   <br />

                   <xsl:choose>
                       <xsl:when test="aws:ItemAttributes/aws:Author">
                           <xsl:value-of select="aws:ItemAttributes/aws:Author" />
                       </xsl:when>
                       <xsl:when test="aws:ItemAttributes/aws:Artist">
                           <xsl:value-of select="aws:ItemAttributes/aws:Artist" />
                       </xsl:when>
                       <xsl:when test="aws:ItemAttributes/aws:Director">
                           <xsl:value-of select="aws:ItemAttributes/aws:Director" />
                       </xsl:when>
                       <xsl:when test="aws:ItemAttributes/aws:Composer">
                            <xsl:value-of select="aws:ItemAttributes/aws:Composer" />
                        </xsl:when>
                        <xsl:when test="aws:ItemAttributes/aws:Manufacturer">
                            <xsl:value-of select="aws:ItemAttributes/aws:Manufacturer" />
                        </xsl:when>
                       <xsl:when test="aws:ItemAttributes/aws:Actor">
                           <xsl:value-of select="aws:ItemAttributes/aws:Actor" />
                       </xsl:when>
                    </xsl:choose>
                    <br />

                   <xsl:choose>
                   <xsl:when test="aws:ItemAttributes/aws:Author">
                        <xsl:if test="aws:ItemAttributes/aws:Publisher">
                            <xsl:value-of select="aws:ItemAttributes/aws:Publisher" />
                        <xsl:if test="aws:ItemAttributes/aws:PublicationDate">
                        </xsl:if>
                            (<xsl:value-of select="aws:ItemAttributes/aws:PublicationDate" />)
                        </xsl:if>
                   </xsl:when>
                   <xsl:when test="aws:ItemAttributes/aws:ReleaseDate">
                        <xsl:value-of select="aws:ItemAttributes/aws:ReleaseDate" />
                   </xsl:when>
                   </xsl:choose>
                   <br />

                   <xsl:choose>
                       <xsl:when test="aws:ItemAttributes/aws:Platform">
                           <xsl:value-of select="aws:ItemAttributes/aws:Platform" />
                       </xsl:when>
                       <xsl:when test="aws:ItemAttributes/aws:Binding">
                           <xsl:value-of select="aws:ItemAttributes/aws:Binding" />
                       </xsl:when>
                       <xsl:when test="aws:ItemAttributes/aws:ProductGroup">
                           <xsl:value-of select="aws:ItemAttributes/aws:ProductGroup" />
                       </xsl:when>
                   </xsl:choose>

                   <BR class="amzend" />

	</div>

    </xsl:template>
</xsl:stylesheet>
